function [dVint,Jinv,eta] = correction(DVint,Vint_old,Depsilon,mat)

% entree, structure des donnees
Depsilon_e = DVint.epsilon_e;
Dp = DVint.p;
epsilon_e_old = Vint_old.epsilon_e;
p_old = Vint_old.p;

% calcul de la correction des variables internes pour l'integration locale
% de la loi de comportement elastoplastique a ecrouissage isotrope 1D


Re = 0;
Rp = 0;

J = eye(2,2);

Residu = [Re;Rp];
Jinv = inv(J);

eta = 0;  % mesure d'erreur pour l'arret des corrections

dx = [Depsilon;0.]; % calcul de la correction

% sortie, structure des donnes
dVint.epsilon_e = dx(1); 
dVint.p = dx(2);